Bug 1947885 - /usr/share/gems/gems/i18n-1.8.7/lib/i18n.rb:195:in `translate': wrong number of arguments (given 2, expected 0..1) (ArgumentError)
Summary: /usr/share/gems/gems/i18n-1.8.7/lib/i18n.rb:195:in `translate': wrong number ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vagrant-libvirt
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-09 13:27 UTC by Michal Konecny
Modified: 2021-05-19 01:21 UTC (History)
10 users (show)

Fixed In Version: vagrant-libvirt-0.4.1-2.fc35 vagrant-libvirt-0.4.1-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-17 13:16:32 UTC
Type: Bug


Attachments (Terms of Use)
vagrant up output (8.93 KB, text/plain)
2021-04-09 13:27 UTC, Michal Konecny
no flags Details

Description Michal Konecny 2021-04-09 13:27:27 UTC
Created attachment 1770617 [details]
vagrant up output

Description of problem:
I'm running Fedora 34 Silverblue and I tried to workaround around the issue https://bugzilla.redhat.com/show_bug.cgi?id=1915671 by layering rubygem-rexml package. Now I'm experiencing `/usr/share/gems/gems/i18n-1.8.7/lib/i18n.rb:195:in `translate': wrong number of arguments (given 2, expected 0..1) (ArgumentError)` when removing domain. Whole output is attached to this issue.

Version-Release number of selected component (if applicable):
vagrant-2.2.9-6.fc34.noarch

How reproducible:
Just run vagrant up

Steps to Reproduce:
1. vagrant up

Actual results:
Output in attachment

Expected results:
VM starts

Additional info:
I have another issue with network in my case, not sure if related. I need to manually run `sudo virsh net-start default` each start of my laptop, otherwise I'm getting error when trying to do vagrant up.

Comment 1 Vít Ondruch 2021-04-09 13:49:57 UTC
This is certainly Ruby 3.0.0 induced change. It seems it is either in rubygem-i18n or in vagrant-libvirt are the problematic components.

Comment 2 Michal Konecny 2021-05-10 11:07:50 UTC
This is still the issue on latest F34 Silverblue.

Comment 3 Mattia Verga 2021-05-15 08:57:34 UTC
From /usr/share/gems/gems/i18n-1.8.7/lib/i18n.rb translate docstring:

    # *Ruby 2.7+ keyword arguments warning*
    #
    # This method uses keyword arguments.
    # There is a breaking change in ruby that produces warning with ruby 2.7 and won't work as expected with ruby 3.0
    # The "hash" parameter must be passed as keyword argument.
    #
    # Good:
    #  I18n.t(:salutation, :gender => 'w', :name => 'Smith')
    #  I18n.t(:salutation, **{ :gender => 'w', :name => 'Smith' })
    #  I18n.t(:salutation, **any_hash)
    #
    # Bad:
    #  I18n.t(:salutation, { :gender => 'w', :name => 'Smith' })
    #  I18n.t(:salutation, any_hash)
    #

Comment 4 Pavel Valena 2021-05-17 13:04:41 UTC
The was fixed in vagrant-libvirt in upstream, I'm adding a patch to Fedora now.

Comment 5 Fedora Update System 2021-05-17 13:14:48 UTC
FEDORA-2021-0cab02b8b7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0cab02b8b7

Comment 6 Fedora Update System 2021-05-17 13:16:32 UTC
FEDORA-2021-0cab02b8b7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-05-17 13:44:22 UTC
FEDORA-2021-17ded5c4ca has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-17ded5c4ca

Comment 8 Fedora Update System 2021-05-18 01:57:37 UTC
FEDORA-2021-17ded5c4ca has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-17ded5c4ca`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-17ded5c4ca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-05-19 01:21:59 UTC
FEDORA-2021-17ded5c4ca has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.